Name:          jgraph
Version:       5.12.2.1
Release:       %mkrel 2
Summary:       The free Swing-style component
Group:         Development/Java
License:       LGPL
Url:           http://www.jgraph.com/jgraph.html
# http://puzzle.dl.sourceforge.net/sourceforge/jgraph/jgraph-5.12.2.1-lgpl-src.jar
Source0:       jgraph-5.12.2.1-lgpl-src.tar.gz
BuildRequires: ant
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
JGraph is the most powerful, easy-to-use, feature-rich and
standards-compliant open source graph component available
for Java.

Features

* 100% pure Java, integrates into Swing component class hierarchy,
  based on Swing MVC pattern
* Fully standards-compliant, code complies with the Java Code Conventions
* Fully documented with many examples demonstrating the various features
* Can be used in rich clients and on the server-side
* Operates on various backends, XML files to databases or other systems,
  such as LDAP, JMX, J2EE
* Provides zooming, folding, undo, drag and drop and much more...

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
JGraph is the most powerful, easy-to-use, feature-rich and
standards-compliant open source graph component available
for Java.

This package contains javadoc for %{name}.

%prep

%setup -q -n jgraph-%{version}-lgpl-src

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

%build

ant all

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/jgraph-%{version}/lib/jgraph.jar \
  %{buildroot}%{_javadir}/jgraph-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jgraph-%{version}
cp -pr dist/jgraph-%{version}/doc/api/* %{buildroot}%{_javadocdir}/jgraph-%{version}
ln -sf jgraphx-%{version} %{buildroot}%{_javadocdir}/jgraph

%files
%{_javadir}/jgraph-%{version}.jar
%{_javadir}/jgraph.jar
%doc dist/jgraph-%{version}/ChangeLog 
%doc dist/jgraph-%{version}/LICENSE 
%doc dist/jgraph-%{version}/README 
%doc dist/jgraph-%{version}/WHATSNEW
%doc dist/jgraph-%{version}/examples

%files javadoc
%{_javadocdir}/jgraph-%{version}
%{_javadocdir}/jgraph



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 5.12.2.1-2.mga3
+ Revision: 355406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 5.12.2.1-1.mga2
+ Revision: 130024
- Clean spec file

* Fri Jun 10 2011 gil <gil> 5.12.2.1-0.mga2
+ Revision: 102875
- imported package jgraph

